Bug 10802 - history.txt missing in packages
Summary: history.txt missing in packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-29 17:55 UTC by Tomás Cohen Arazi
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10802: Packages should install history.txt (2.56 KB, patch)
2013-08-29 18:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10802: Packages should install history.txt (2.60 KB, patch)
2013-09-07 03:39 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10802: Packages should install history.txt (2.70 KB, patch)
2013-09-13 01:07 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-08-29 17:55:22 UTC
While bug 8911 fixed a problem regarding history.txt, a proper fix for packages is missing.
Comment 1 Tomás Cohen Arazi 2013-08-29 18:09:40 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-09-07 03:39:11 UTC Comment hidden (obsolete)
Comment 3 Mason James 2013-09-13 01:07:37 UTC
Created attachment 21062 [details] [review]
Bug 10802: Packages should install history.txt

While bug 8911 fixed a problem regarding history.txt, a proper fix for packages was missing.
This patch does three things:
 - Adds docs/history.txt to debian/koha-common.docs so it gets installed.
 - Moves the line installing the release notes from debian/koha-common.install to debian/koha-common.docs.
 - Adds an override_dh_compress entry in debian/rules that excludes history.txt from the dh_compress routine [1]

To test:
 - Take a picture of how /usr/share/doc/koha-common looks.
 - Apply the patch and build a package [2].
 - Upgrade and/or install using your package.
 - Look for the contents of the /usr/share/doc/koha-common, it should look the same, but history.txt must be there.
 - More > About Koha > Koha Timeline should show the history lines.

Regards
To+

[1] As 'man dh_compress' says, it is needed as every file considered for the doc dir that is plain text and is more than 4k size will be gzipped unless stated otherwise. We need it uncompressed for about.pl.
[2] I did it for you, it can be grabbed here:  http://ubuntu.unc.edu.ar/koha/koha-common_3.13-1~git+20130829144510.18a6876b_all.deb

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 4 Mason James 2013-09-13 01:08:41 UTC
simple patch, passing QA
Comment 5 Galen Charlton 2013-09-16 15:29:33 UTC
Pushed to master.  Thanks, Tomás!
Comment 6 Tomás Cohen Arazi 2013-10-29 14:02:37 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.